VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceComputeShaderDerivativesFeaturesNV (Bool32 computeDerivativeGroupQuads_=0, Bool32 computeDerivativeGroupLinear_=0)
| PhysicalDeviceComputeShaderDerivativesFeaturesNV (VkPhysicalDeviceComputeShaderDerivativesFeaturesNV const &rhs)
PhysicalDeviceComputeShaderDerivativesFeaturesNV & | operator= (VkPhysicalDeviceComputeShaderDerivativesFeaturesNV const &rhs)
PhysicalDeviceComputeShaderDerivativesFeaturesNV & | setPNext (void *pNext_)
PhysicalDeviceComputeShaderDerivativesFeaturesNV & | setComputeDerivativeGroupQuads (Bool32 computeDerivativeGroupQuads_)
PhysicalDeviceComputeShaderDerivativesFeaturesNV & | setComputeDerivativeGroupLinear (Bool32 computeDerivativeGroupLinear_)
| operator VkPhysicalDeviceComputeShaderDerivativesFeaturesNV const & () const
| operator VkPhysicalDeviceComputeShaderDerivativesFeaturesNV & ()
bool | operator== (PhysicalDeviceComputeShaderDerivativesFeaturesNV const &rhs) const
bool | operator!= (PhysicalDeviceComputeShaderDerivativesFeaturesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | computeDerivativeGroupQuads
Bool32 | computeDerivativeGroupLinear

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceComputeShaderDerivativesFeaturesNV

## Detailed Description

Definition at line 19689 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceComputeShaderDerivativesFeaturesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::PhysicalDeviceComputeShaderDerivativesFeaturesNV | ( | Bool32 | computeDerivativeGroupQuads_ = `0`,
|  | Bool32 | computeDerivativeGroupLinear_ = `0`
| ) |  |

inline

Definition at line 19691 of file vulkan.hpp.

: computeDerivativeGroupQuads( computeDerivativeGroupQuads_ )
, computeDerivativeGroupLinear( computeDerivativeGroupLinear_ )
{
}

## PhysicalDeviceComputeShaderDerivativesFeaturesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::PhysicalDeviceComputeShaderDerivativesFeaturesNV | ( | VkPhysicalDeviceComputeShaderDerivativesFeaturesNV const & | rhs | ) |

inline

Definition at line 19698 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceComputeShaderDerivativesFeaturesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceComputeShaderDerivativesFeaturesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::operator VkPhysicalDeviceComputeShaderDerivativesFeaturesNV & | ( |  | ) |

inline

Definition at line 19731 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceComputeShaderDerivativesFeaturesNV*>(this);
}

## operator VkPhysicalDeviceComputeShaderDerivativesFeaturesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::operator VkPhysicalDeviceComputeShaderDerivativesFeaturesNV const & | ( |  | ) | const

inline

Definition at line 19726 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceComputeShaderDerivativesFeaturesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::operator!= | ( | PhysicalDeviceComputeShaderDerivativesFeaturesNV const & | rhs | ) | const

inline

Definition at line 19744 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceComputeShaderDerivativesFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::operator= | ( | VkPhysicalDeviceComputeShaderDerivativesFeaturesNV const & | rhs | ) |

inline

Definition at line 19703 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceComputeShaderDerivativesFeaturesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::operator== | ( | PhysicalDeviceComputeShaderDerivativesFeaturesNV const & | rhs | ) | const

inline

Definition at line 19736 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( computeDerivativeGroupQuads == rhs.computeDerivativeGroupQuads )
&& ( computeDerivativeGroupLinear == rhs.computeDerivativeGroupLinear );
}

References computeDerivativeGroupLinear, computeDerivativeGroupQuads, pNext, and sType.

Referenced by operator!=().

## setComputeDerivativeGroupLinear()

PhysicalDeviceComputeShaderDerivativesFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::setComputeDerivativeGroupLinear | ( | Bool32 | computeDerivativeGroupLinear_ | ) |

inline

Definition at line 19720 of file vulkan.hpp.

{
computeDerivativeGroupLinear = computeDerivativeGroupLinear_;
return *this;
}

References computeDerivativeGroupLinear.

## setComputeDerivativeGroupQuads()

PhysicalDeviceComputeShaderDerivativesFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::setComputeDerivativeGroupQuads | ( | Bool32 | computeDerivativeGroupQuads_ | ) |

inline

Definition at line 19714 of file vulkan.hpp.

{
computeDerivativeGroupQuads = computeDerivativeGroupQuads_;
return *this;
}

References computeDerivativeGroupQuads.

## setPNext()

PhysicalDeviceComputeShaderDerivativesFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19708 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## computeDerivativeGroupLinear

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::computeDerivativeGroupLinear

Definition at line 19755 of file vulkan.hpp.

Referenced by operator==(), and setComputeDerivativeGroupLinear().

## computeDerivativeGroupQuads

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::computeDerivativeGroupQuads

Definition at line 19754 of file vulkan.hpp.

Referenced by operator==(), and setComputeDerivativeGroupQuads().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::pNext = nullptr

Definition at line 19753 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::sType = StructureType::ePhysicalDeviceComputeShaderDerivativesFeaturesNV

private

Definition at line 19750 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkPhysicalDeviceComputeShaderDerivativesFeaturesNV
Definition: vulkan_core.h:8639
VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::computeDerivativeGroupLinear
Bool32 computeDerivativeGroupLinear
Definition: vulkan.hpp:19755
VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::operator==
bool operator==(PhysicalDeviceComputeShaderDerivativesFeaturesNV const &rhs) const
Definition: vulkan.hpp:19736
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::pNext
void * pNext
Definition: vulkan.hpp:19753
VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::PhysicalDeviceComputeShaderDerivativesFeaturesNV
PhysicalDeviceComputeShaderDerivativesFeaturesNV(Bool32 computeDerivativeGroupQuads_=0, Bool32 computeDerivativeGroupLinear_=0)
Definition: vulkan.hpp:19691
VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::sType
StructureType sType
Definition: vulkan.hpp:19750
VULKAN_HPP_NAMESPACE::PhysicalDeviceComputeShaderDerivativesFeaturesNV::computeDerivativeGroupQuads
Bool32 computeDerivativeGroupQuads
Definition: vulkan.hpp:19754